<template>
  <el-col>
    <p class="miniTitle">Адреса</p>
    <el-row class="inputsGroup" :gutter="20" align="middle" v-for="(item, index) in this.personForm.addresses" v-bind:key="item">
      <el-col :span="12">
        <el-form-item label="Тип адреса" prop="">
          <el-select v-model="item.type_ids[0].type_id" placeholder="Тип адреса">
            <el-option
                v-for="item in this.dictionaries.address_type"
                :key="item.id"
                :label="item.name"
                :value="item.id"
            />
          </el-select>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Страна" prop="">
          <el-select v-model="item.country_id" placeholder="Страна">
            <el-option
                v-for="item in this.dictionaries.country"
                :key="item.id"
                :label="item.name"
                :value="item.id"
            />
          </el-select>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Полное наименование адреса" prop="">
          <el-input v-model="item.full_name"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Индекс" prop="">
          <el-input v-model="item.index"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Регион" prop="">
          <el-input v-model="item.region_name"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Город" prop="">
          <el-input v-model="item.city"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Улица" prop="">
          <el-input v-model="item.street"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Дом" prop="">
          <el-input v-model="item.house_numb"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Помещение/квартира" prop="">
          <el-input v-model="item.apartment_number"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="ОКТМО" prop="">
          <el-input v-model="item.oktmo"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="ОКАТО" prop="">
          <el-input v-model="item.okato"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="ОКАТО2" prop="">
          <el-input v-model="item.okato2"/>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="Комментарий" prop="">
          <el-input v-model="item.comment"/>
        </el-form-item>
      </el-col>

      <el-col :span="2">
        <el-button type="info" class="bigButton" v-if="index !== 0" @click="removeItem(index)"><img src="@/assets/person-form/trash.svg" class="icon-image" alt=""></el-button>
      </el-col>
    </el-row>
    <el-button class="addItemButton" type="info" @click="addItem()"><img src="@/assets/person-form/plus.svg" class="icon-image" alt=""> Добавить адрес</el-button>
  </el-col>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    },
    removeItem(index){
      this.personForm.addresses.splice(index, 1);
    },
    addItem(){
      this.personForm.addresses.push({
        full_name:'',
        index:'',
        region_name:'',
        city:'',
        street:'',
        house_numb:'',
        apartment_number:'',
        oktmo:'',
        okato:'',
        okato2:'',
        comment:'',
        type_ids:[
          {
            type_id: ''
          }
        ],
        country_id: ''
      });
    },
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>